<?xml version="1.0" encoding="utf-8"?>
<dleplugin>
	<name>Вывод закладок в профиль пользователя</name>
	<description>https://dle-archive.ru/hacks/796-vyvod-zakladok-v-profil-polzovatelja.html</description>
	<icon></icon>
	<version></version>
	<dleversion></dleversion>
	<versioncompare>less</versioncompare>
	<upgradeurl></upgradeurl>
	<filedelete>0</filedelete>
	<needplugin></needplugin>
	<mnotice>0</mnotice>
	<mysqlinstall><![CDATA[]]></mysqlinstall>
	<mysqlupgrade><![CDATA[]]></mysqlupgrade>
	<mysqlenable><![CDATA[]]></mysqlenable>
	<mysqldisable><![CDATA[]]></mysqldisable>
	<mysqldelete><![CDATA[]]></mysqldelete>
	<phpinstall><![CDATA[]]></phpinstall>
	<phpupgrade><![CDATA[]]></phpupgrade>
	<phpenable><![CDATA[]]></phpenable>
	<phpdisable><![CDATA[]]></phpdisable>
	<phpdelete><![CDATA[]]></phpdelete>
	<notice><![CDATA[]]></notice>
	<file name="engine/modules/profile.php">
		<operation action="after">
			<searchcode><![CDATA[$user_found = TRUE;]]></searchcode>
			<replacecode><![CDATA[ if( $row['favorites'] ) {
		$tpl->set( '{favorite-id}', $row['favorites'] );
		$tpl->set( '{favorite-count}', count(explode("," ,$row['favorites'])) );
		$tpl->set( '[favorite-count]', "" );
		$tpl->set( '[/favorite-count]', "" );
		$tpl->set_block( "'\\[not-favorite-count\\](.*?)\\[/not-favorite-count\\]'si", "" );
	} else {
		$tpl->set( '{favorite-count}', 0 );
		$tpl->set_block( "'\\[favorite-count\\](.*?)\\[/favorite-count\\]'si", "" );
		$tpl->set( '[not-favorite-count]', "" );
		$tpl->set( '[/not-favorite-count]', "" );
	}]]></replacecode>
		</operation>
	</file>
</dleplugin>